Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.fo.properties
Class LengthProperty

    java.lang.Object
      org.apache.fop.fo.properties.Property
          org.apache.fop.fo.properties.LengthProperty

All Implemented Interfaces:
  Length, Numeric

Direct Known Subclasses:
  EnumLength, FixedLength, PercentLength, TableColLength

    public abstract class LengthProperty

extends Property
implements Length, Numeric

Superclass for properties wrapping a Length value.

Nested Class Summary
`static class` | `LengthProperty.Maker` Inner class for making instances of LengthProperty

Field Summary

Fields inherited from class org.apache.fop.fo.properties.Property
`log`

Constructor Summary
`LengthProperty()`

Method Summary
`int` | `getDimension()` Return the dimension of this numeric.
`Length` | `getLength()` This method expects to be overridden by subclasses
`Numeric` | `getNumeric()` This method expects to be overridden by subclasses
`java.lang.Object` | `getObject()` This method expects to be overridden by subclasses

Methods inherited from class org.apache.fop.fo.properties.Property
`getCharacter, getColor, getCondLength, getEnum, getKeep, getLengthPair, getLengthRange, getList, getNCname, getNumber, getSpace, getSpecifiedValue, getString, isAuto, setSpecifiedValue, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.apache.fop.datatypes.Length
`getValue, getValue`

Methods inherited from interface org.apache.fop.datatypes.Numeric
`getEnum, getNumericValue, getNumericValue, isAbsolute`

Constructor Detail

### LengthProperty

    public LengthProperty()

Method Detail

### getDimension

    public int getDimension()

  Description copied from interface: `Numeric`
  Return the dimension of this numeric. Plain numbers has a dimension of 0 and length has a dimension of 1. Other dimension can occur as a result of multiplications and divisions.

  Specified by:
    `getDimension` in interface `Numeric`
  Returns:
    the numeric dimension. Length always a dimension of 1

### getNumeric

    public Numeric getNumeric()

  Description copied from class: `Property`
  This method expects to be overridden by subclasses

  Overrides:
    `getNumeric` in class `Property`
  Returns:
    this.length cast as a Numeric

### getLength

    public Length getLength()

  Description copied from class: `Property`
  This method expects to be overridden by subclasses

  Overrides:
    `getLength` in class `Property`
  Returns:
    this.length

### getObject

    public java.lang.Object getObject()

  Description copied from class: `Property`
  This method expects to be overridden by subclasses

  Overrides:
    `getObject` in class `Property`
  Returns:
    this.length cast as an Object

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2017 The Apache Software Foundation. All Rights Reserved.